Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 932827 - net-misc/curl-8.8.0 has implicit function declarations in configure logs
Summary: net-misc/curl-8.8.0 has implicit function declarations in configure logs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matt Jolly
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: implicit-in-configure
  Show dependency tree
 
Reported: 2024-05-27 06:47 UTC by Agostino Sarubbo
Modified: 2024-06-19 06:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,388.58 KB, text/plain)
2024-05-27 06:47 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-05-27 06:47:41 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-misc/curl-8.8.0 has implicit function declarations in configure logs.
Discovered on: amd64 (internal ref: tinderbox_musl)
System: MUSL-SYSTEM (https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#MUSL)

Info about the issue:
https://wiki.gentoo.org/wiki/Project:Tinderbox/Common_Issues_Helper#QA0072
Comment 1 Agostino Sarubbo gentoo-dev 2024-05-27 06:47:42 UTC
Created attachment 894498 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2024-05-27 06:47:44 UTC
Found the following implicit function declarations in configure logs:

config.log:8429 - arc4random
Comment 3 Matt Jolly gentoo-dev 2024-05-30 07:18:22 UTC
Upstream PR to resolve.
Comment 4 Matt Jolly gentoo-dev 2024-06-19 06:22:30 UTC
Resolved upstream in https://github.com/curl/curl/commit/beff006a8eecc5fc3495badae209791eb779414d

It's not causing any harm at the moment so we'll close this ticket off. The next curl release is less than a month away so unless we have reason to revbump otherwise we'll just get it then.